/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.yifu.salary.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.core.constant.ExcelAttribute;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * 自有员工所在结算主体大全表
 *
 * @author hgw
 * @date 2022-08-05 11:40:14
 */
@Data
@TableName("t_own_dept")
@Schema(description = "自有员工所在结算主体大全表")
public class TOwnDept {

	/**
	 * id
	 */
	@TableId(type = IdType.ASSIGN_ID)
	@ExcelProperty("id")
	private Integer id;
	/**
	 * 结算主体id
	 */
	@ExcelAttribute(name = "结算主体id", maxLength = 32)
	@Length(max = 32, message = "结算主体id不能超过32个字符")
	@ExcelProperty("结算主体id")
	private String deptId;
	/**
	 * 结算主体编码
	 */
	@ExcelAttribute(name = "结算主体编码", maxLength = 50)
	@Length(max = 50, message = "结算主体编码不能超过50个字符")
	@ExcelProperty("结算主体编码")
	private String deptNo;
	/**
	 * 结算主体名称
	 */
	@ExcelAttribute(name = "结算主体名称", maxLength = 50)
	@Length(max = 50, message = "结算主体名称不能超过50个字符")
	@ExcelProperty("结算主体名称")
	private String deptName;
	/**
	 * 客户名称
	 */
	@ExcelAttribute(name = "客户名称", maxLength = 50)
	@Length(max = 50, message = "客户名称不能超过50个字符")
	@ExcelProperty("客户名称")
	private String unitName;

}
